/* 
** DIBQuant version 1.0
** Copyright (c) 1993 Edward McCreary.
** All rights reserved.
**
** Redistribution and use in source and binary forms are freely permitted
** provided that the above copyright notice and attibution and date of work
** and this paragraph are duplicated in all such forms.
** THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
** IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
** WARRANTIES OF MERCHANTIBILILTY AND FITNESS FOR A PARTICULAR PURPOSE.
*/

#ifndef _DIBQUANT_H
#define _DIBQUANT_H

/* palette generation methods */
#define IDX_MEDIAN          0       /* perform median cut */
#define IDX_POPULARITY      1       /* perform popularity sort */
#define IDX_DEFAULT         2       /* use default palette */

/* dithering methods */
#define IDX_NONE            0       /* no dither */
#define IDX_ORDERED         1       /* ordered dither */
#define IDX_JITTER          2       /* jitter preprocessing */

#ifdef __cplusplus
extern "C" {
#endif

LPSTR FAR PASCAL QuantizeDIB(LPSTR lpDIB, int nPalette, int nDither,FARPROC lpStatus);

#ifdef __cplusplus
}
#endif

#endif /* _DIBQUANT_H */ 